package com.festina.gameserver.handler;

import com.festina.gameserver.handler.admincommandhandlers.AdminAdmin;
import com.festina.gameserver.handler.admincommandhandlers.AdminAnnouncements;
import com.festina.gameserver.handler.admincommandhandlers.AdminBBS;
import com.festina.gameserver.handler.admincommandhandlers.AdminBan;
import com.festina.gameserver.handler.admincommandhandlers.AdminBanChat;
import com.festina.gameserver.handler.admincommandhandlers.AdminCache;
import com.festina.gameserver.handler.admincommandhandlers.AdminChangeAccessLevel;
import com.festina.gameserver.handler.admincommandhandlers.AdminCreateItem;
import com.festina.gameserver.handler.admincommandhandlers.AdminDelete;
import com.festina.gameserver.handler.admincommandhandlers.AdminDoorControl;
import com.festina.gameserver.handler.admincommandhandlers.AdminEditChar;
import com.festina.gameserver.handler.admincommandhandlers.AdminEditNpc;
import com.festina.gameserver.handler.admincommandhandlers.AdminEffects;
import com.festina.gameserver.handler.admincommandhandlers.AdminEnchant;
import com.festina.gameserver.handler.admincommandhandlers.AdminEventEngine;
import com.festina.gameserver.handler.admincommandhandlers.AdminExpSp;
import com.festina.gameserver.handler.admincommandhandlers.AdminFightCalculator;
import com.festina.gameserver.handler.admincommandhandlers.AdminGeodata;
import com.festina.gameserver.handler.admincommandhandlers.AdminGm;
import com.festina.gameserver.handler.admincommandhandlers.AdminGmChat;
import com.festina.gameserver.handler.admincommandhandlers.AdminHeal;
import com.festina.gameserver.handler.admincommandhandlers.AdminHelpPage;
import com.festina.gameserver.handler.admincommandhandlers.AdminInvul;
import com.festina.gameserver.handler.admincommandhandlers.AdminKick;
import com.festina.gameserver.handler.admincommandhandlers.AdminKill;
import com.festina.gameserver.handler.admincommandhandlers.AdminLevel;
import com.festina.gameserver.handler.admincommandhandlers.AdminLogin;
import com.festina.gameserver.handler.admincommandhandlers.AdminMammon;
import com.festina.gameserver.handler.admincommandhandlers.AdminManor;
import com.festina.gameserver.handler.admincommandhandlers.AdminMenu;
import com.festina.gameserver.handler.admincommandhandlers.AdminMobGroup;
import com.festina.gameserver.handler.admincommandhandlers.AdminMonsterRace;
import com.festina.gameserver.handler.admincommandhandlers.AdminPForge;
import com.festina.gameserver.handler.admincommandhandlers.AdminPathNode;
import com.festina.gameserver.handler.admincommandhandlers.AdminPetition;
import com.festina.gameserver.handler.admincommandhandlers.AdminPledge;
import com.festina.gameserver.handler.admincommandhandlers.AdminPolymorph;
import com.festina.gameserver.handler.admincommandhandlers.AdminQuest;
import com.festina.gameserver.handler.admincommandhandlers.AdminRepairChar;
import com.festina.gameserver.handler.admincommandhandlers.AdminRes;
import com.festina.gameserver.handler.admincommandhandlers.AdminRideWyvern;
import com.festina.gameserver.handler.admincommandhandlers.AdminSetLevel;
import com.festina.gameserver.handler.admincommandhandlers.AdminSetNoble;
import com.festina.gameserver.handler.admincommandhandlers.AdminShop;
import com.festina.gameserver.handler.admincommandhandlers.AdminShutdown;
import com.festina.gameserver.handler.admincommandhandlers.AdminSiege;
import com.festina.gameserver.handler.admincommandhandlers.AdminSkill;
import com.festina.gameserver.handler.admincommandhandlers.AdminSpawn;
import com.festina.gameserver.handler.admincommandhandlers.AdminSubClass;
import com.festina.gameserver.handler.admincommandhandlers.AdminTarget;
import com.festina.gameserver.handler.admincommandhandlers.AdminTeleport;
import com.festina.gameserver.handler.admincommandhandlers.AdminTest;
import com.festina.gameserver.handler.admincommandhandlers.AdminUnblockIp;
import com.festina.gameserver.handler.admincommandhandlers.AdminZone;
import com.festina.gameserver.handler.itemhandlers.AdvQuestItems;
import com.festina.gameserver.handler.itemhandlers.BeastSoulShot;
import com.festina.gameserver.handler.itemhandlers.BeastSpiritShot;
import com.festina.gameserver.handler.itemhandlers.BlessedSpiritShot;
import com.festina.gameserver.handler.itemhandlers.CharChangePotions;
import com.festina.gameserver.handler.itemhandlers.ChestKey;
import com.festina.gameserver.handler.itemhandlers.ChristmasTree;
import com.festina.gameserver.handler.itemhandlers.CompBlessedSpiritShotPacks;
import com.festina.gameserver.handler.itemhandlers.CompShotPacks;
import com.festina.gameserver.handler.itemhandlers.CompSpiritShotPacks;
import com.festina.gameserver.handler.itemhandlers.CrystalCarol;
import com.festina.gameserver.handler.itemhandlers.EnchantScrolls;
import com.festina.gameserver.handler.itemhandlers.EnergyStone;
import com.festina.gameserver.handler.itemhandlers.Firework;
import com.festina.gameserver.handler.itemhandlers.FishItem;
import com.festina.gameserver.handler.itemhandlers.FishShots;
import com.festina.gameserver.handler.itemhandlers.Guide;
import com.festina.gameserver.handler.itemhandlers.Harvester;
import com.festina.gameserver.handler.itemhandlers.MercTicket;
import com.festina.gameserver.handler.itemhandlers.MysteryPotion;
import com.festina.gameserver.handler.itemhandlers.PetSummon;
import com.festina.gameserver.handler.itemhandlers.Potions;
import com.festina.gameserver.handler.itemhandlers.Recipes;
import com.festina.gameserver.handler.itemhandlers.Remedy;
import com.festina.gameserver.handler.itemhandlers.RollingDice;
import com.festina.gameserver.handler.itemhandlers.ScrollOfEscape;
import com.festina.gameserver.handler.itemhandlers.ScrollOfResurrection;
import com.festina.gameserver.handler.itemhandlers.Scrolls;
import com.festina.gameserver.handler.itemhandlers.Seed;
import com.festina.gameserver.handler.itemhandlers.SevenSignsRecord;
import com.festina.gameserver.handler.itemhandlers.SoulCrystals;
import com.festina.gameserver.handler.itemhandlers.SoulShots;
import com.festina.gameserver.handler.itemhandlers.SpiritShot;
import com.festina.gameserver.handler.itemhandlers.ValakasProtection;
import com.festina.gameserver.handler.itemhandlers.WorldMap;
import com.festina.gameserver.handler.skillhandlers.BalanceLife;
import com.festina.gameserver.handler.skillhandlers.Charge;
import com.festina.gameserver.handler.skillhandlers.CombatPointHeal;
import com.festina.gameserver.handler.skillhandlers.Continuous;
import com.festina.gameserver.handler.skillhandlers.Craft;
import com.festina.gameserver.handler.skillhandlers.Disablers;
import com.festina.gameserver.handler.skillhandlers.DrainSoul;
import com.festina.gameserver.handler.skillhandlers.Fishing;
import com.festina.gameserver.handler.skillhandlers.FishingSkill;
import com.festina.gameserver.handler.skillhandlers.Harvest;
import com.festina.gameserver.handler.skillhandlers.Heal;
import com.festina.gameserver.handler.skillhandlers.ManaHeal;
import com.festina.gameserver.handler.skillhandlers.Mdam;
import com.festina.gameserver.handler.skillhandlers.Pdam;
import com.festina.gameserver.handler.skillhandlers.Recall;
import com.festina.gameserver.handler.skillhandlers.Resurrect;
import com.festina.gameserver.handler.skillhandlers.SiegeFlag;
import com.festina.gameserver.handler.skillhandlers.Sow;
import com.festina.gameserver.handler.skillhandlers.Spoil;
import com.festina.gameserver.handler.skillhandlers.Sweep;
import com.festina.gameserver.handler.skillhandlers.TakeCastle;
import com.festina.gameserver.handler.skillhandlers.Unlock;
import com.festina.gameserver.handler.usercommandhandlers.ClanPenalty;
import com.festina.gameserver.handler.usercommandhandlers.ClanWarsList;
import com.festina.gameserver.handler.usercommandhandlers.DisMount;
import com.festina.gameserver.handler.usercommandhandlers.Escape;
import com.festina.gameserver.handler.usercommandhandlers.Loc;
import com.festina.gameserver.handler.usercommandhandlers.Mount;
import com.festina.gameserver.handler.usercommandhandlers.PartyInfo;
import com.festina.gameserver.handler.usercommandhandlers.Time;
import com.festina.gameserver.handler.voicedcommandhandlers.stats;

public class HandlerLists
{
  public static void registerHandlers()
  {
    ItemHandler _itemHandler = ItemHandler.getInstance();
    _itemHandler.registerItemHandler(new ChristmasTree());
    _itemHandler.registerItemHandler(new PetSummon());
    _itemHandler.registerItemHandler(new ScrollOfEscape());
    _itemHandler.registerItemHandler(new ScrollOfResurrection());
    _itemHandler.registerItemHandler(new SoulShots());
    _itemHandler.registerItemHandler(new SpiritShot());
    _itemHandler.registerItemHandler(new BlessedSpiritShot());
    _itemHandler.registerItemHandler(new BeastSoulShot());
    _itemHandler.registerItemHandler(new BeastSpiritShot());
    _itemHandler.registerItemHandler(new ChestKey());
    _itemHandler.registerItemHandler(new WorldMap());
    _itemHandler.registerItemHandler(new Potions());
    _itemHandler.registerItemHandler(new Recipes());
    _itemHandler.registerItemHandler(new CompShotPacks());
    _itemHandler.registerItemHandler(new CompSpiritShotPacks());
    _itemHandler.registerItemHandler(new CompBlessedSpiritShotPacks());
    _itemHandler.registerItemHandler(new RollingDice());
    _itemHandler.registerItemHandler(new MysteryPotion());
    _itemHandler.registerItemHandler(new EnchantScrolls());
    _itemHandler.registerItemHandler(new EnergyStone());
    _itemHandler.registerItemHandler(new Remedy());
    _itemHandler.registerItemHandler(new Guide());
   _itemHandler.registerItemHandler(new Scrolls());
    _itemHandler.registerItemHandler(new CrystalCarol());
    _itemHandler.registerItemHandler(new SoulCrystals());
    _itemHandler.registerItemHandler(new SevenSignsRecord());
    _itemHandler.registerItemHandler(new CharChangePotions());
    _itemHandler.registerItemHandler(new Firework());
    _itemHandler.registerItemHandler(new AdvQuestItems());
    _itemHandler.registerItemHandler(new Seed());
    _itemHandler.registerItemHandler(new Harvester());
    _itemHandler.registerItemHandler(new MercTicket());
    _itemHandler.registerItemHandler(new FishItem());
    _itemHandler.registerItemHandler(new FishShots());
    _itemHandler.registerItemHandler(new ValakasProtection());
    SkillHandler _skillHandler = SkillHandler.getInstance();
    _skillHandler.registerSkillHandler(new Pdam());
    _skillHandler.registerSkillHandler(new Mdam());
    _skillHandler.registerSkillHandler(new Heal());
    _skillHandler.registerSkillHandler(new CombatPointHeal());
    _skillHandler.registerSkillHandler(new ManaHeal());
    _skillHandler.registerSkillHandler(new BalanceLife());
    _skillHandler.registerSkillHandler(new Charge());
    _skillHandler.registerSkillHandler(new Continuous());
    _skillHandler.registerSkillHandler(new Resurrect());
    _skillHandler.registerSkillHandler(new Spoil());
    _skillHandler.registerSkillHandler(new Sweep());
    _skillHandler.registerSkillHandler(new Disablers());
    _skillHandler.registerSkillHandler(new Recall());
    _skillHandler.registerSkillHandler(new SiegeFlag());
    _skillHandler.registerSkillHandler(new TakeCastle());
    _skillHandler.registerSkillHandler(new Unlock());
    _skillHandler.registerSkillHandler(new DrainSoul());
    _skillHandler.registerSkillHandler(new Craft());
    _skillHandler.registerSkillHandler(new Fishing());
    _skillHandler.registerSkillHandler(new FishingSkill());
    _skillHandler.registerSkillHandler(new Sow());
    _skillHandler.registerSkillHandler(new Harvest());
    AdminCommandHandler _adminCommandHandler = AdminCommandHandler.getInstance();
    _adminCommandHandler.registerAdminCommandHandler(new AdminAdmin());
    _adminCommandHandler.registerAdminCommandHandler(new AdminInvul());
    _adminCommandHandler.registerAdminCommandHandler(new AdminDelete());
    _adminCommandHandler.registerAdminCommandHandler(new AdminKill());
    _adminCommandHandler.registerAdminCommandHandler(new AdminTarget());
    _adminCommandHandler.registerAdminCommandHandler(new AdminShop());
    _adminCommandHandler.registerAdminCommandHandler(new AdminAnnouncements());
    _adminCommandHandler.registerAdminCommandHandler(new AdminCreateItem());
    _adminCommandHandler.registerAdminCommandHandler(new AdminHeal());
    _adminCommandHandler.registerAdminCommandHandler(new AdminHelpPage());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSetLevel());
    _adminCommandHandler.registerAdminCommandHandler(new AdminShutdown());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSpawn());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSkill());
    _adminCommandHandler.registerAdminCommandHandler(new AdminExpSp());
    _adminCommandHandler.registerAdminCommandHandler(new AdminEventEngine());
    _adminCommandHandler.registerAdminCommandHandler(new AdminGmChat());
    _adminCommandHandler.registerAdminCommandHandler(new AdminEditChar());
    _adminCommandHandler.registerAdminCommandHandler(new AdminGm());
    _adminCommandHandler.registerAdminCommandHandler(new AdminTeleport());
    _adminCommandHandler.registerAdminCommandHandler(new AdminRepairChar());
    _adminCommandHandler.registerAdminCommandHandler(new AdminChangeAccessLevel());
    _adminCommandHandler.registerAdminCommandHandler(new AdminBan());
    _adminCommandHandler.registerAdminCommandHandler(new AdminPolymorph());
    _adminCommandHandler.registerAdminCommandHandler(new AdminBanChat());
    _adminCommandHandler.registerAdminCommandHandler(new AdminKick());
    _adminCommandHandler.registerAdminCommandHandler(new AdminMonsterRace());
    _adminCommandHandler.registerAdminCommandHandler(new AdminEditNpc());
    _adminCommandHandler.registerAdminCommandHandler(new AdminFightCalculator());
    _adminCommandHandler.registerAdminCommandHandler(new AdminMenu());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSiege());
    _adminCommandHandler.registerAdminCommandHandler(new AdminPathNode());
    _adminCommandHandler.registerAdminCommandHandler(new AdminPetition());
    _adminCommandHandler.registerAdminCommandHandler(new AdminPForge());
    _adminCommandHandler.registerAdminCommandHandler(new AdminBBS());
    _adminCommandHandler.registerAdminCommandHandler(new AdminEffects());
    _adminCommandHandler.registerAdminCommandHandler(new AdminDoorControl());
    _adminCommandHandler.registerAdminCommandHandler(new AdminTest());
    _adminCommandHandler.registerAdminCommandHandler(new AdminEnchant());
    _adminCommandHandler.registerAdminCommandHandler(new AdminMobGroup());
    _adminCommandHandler.registerAdminCommandHandler(new AdminRes());
    _adminCommandHandler.registerAdminCommandHandler(new AdminMammon());
    _adminCommandHandler.registerAdminCommandHandler(new AdminUnblockIp());
    _adminCommandHandler.registerAdminCommandHandler(new AdminPledge());
    _adminCommandHandler.registerAdminCommandHandler(new AdminRideWyvern());
    _adminCommandHandler.registerAdminCommandHandler(new AdminLogin());
    _adminCommandHandler.registerAdminCommandHandler(new AdminCache());
    _adminCommandHandler.registerAdminCommandHandler(new AdminLevel());
    _adminCommandHandler.registerAdminCommandHandler(new AdminQuest());
    _adminCommandHandler.registerAdminCommandHandler(new AdminZone());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSubClass());
    _adminCommandHandler.registerAdminCommandHandler(new AdminSetNoble());
    _adminCommandHandler.registerAdminCommandHandler(new AdminGeodata());
    _adminCommandHandler.registerAdminCommandHandler(new AdminManor());
    UserCommandHandler _userCommandHandler = UserCommandHandler.getInstance();
    _userCommandHandler.registerUserCommandHandler(new ClanPenalty());
    _userCommandHandler.registerUserCommandHandler(new ClanWarsList());
    _userCommandHandler.registerUserCommandHandler(new DisMount());
    _userCommandHandler.registerUserCommandHandler(new Escape());
    _userCommandHandler.registerUserCommandHandler(new Loc());
    _userCommandHandler.registerUserCommandHandler(new Mount());
    _userCommandHandler.registerUserCommandHandler(new PartyInfo());
    _userCommandHandler.registerUserCommandHandler(new Time());
    VoicedCommandHandler _voicedCommandHandler = VoicedCommandHandler.getInstance();
    _voicedCommandHandler.registerVoicedCommandHandler(new stats());
  }
}